This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 881947 - 3.2 [vdsm] getDeviceList is failing with vdsm 4.10.2-1
3.2 [vdsm] getDeviceList is failing with vdsm 4.10.2-1
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
3.2.0
x86_64 Linux
urgent Severity urgent
: ---
: 3.2.0
Assigned To: Yeela Kaplan
vvyazmin@redhat.com
storage
: Regression, ZStream
Depends On:
Blocks: 888339 915537
  Show dependency treegraph
 
Reported: 2012-11-29 15:35 EST by Eyal Edri
Modified: 2016-02-10 15:24 EST (History)
10 users (show)

See Also:
Fixed In Version: vdsm-4.10.2-7.0
Doc Type: Bug Fix
Doc Text:
Previously, editing storage domains in a fibre channel data center environment caused getDeviceList to fail with an exception. A patch ensures that editing storage domains in a fibre channel data center environment does not cause getDeviceList to fail with an exception.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 16:36:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
vdsm.log file with the failure. (3.09 MB, text/x-log)
2012-11-29 15:38 EST, Eyal Edri
no flags Details

  None (edit)
Description Eyal Edri 2012-11-29 15:35:47 EST
Description of problem:
running getDeviceList on rhel 6.4 cause exception:

MainProcess|Thread-389::DEBUG::2012-11-29 15:08:13,234::misc::83::Storage.Misc.excCmd::(<lambda>) '/sbin/dmsetup status' (cwd None)
MainProcess|Thread-389::DEBUG::2012-11-29 15:08:13,238::misc::83::Storage.Misc.excCmd::(<lambda>) SUCCESS: <err> = ''; <rc> = 0
MainProcess|Thread-389::ERROR::2012-11-29 15:08:13,238::supervdsmServer::80::SuperVdsm.ServerCallback::(wrapper) Error in getPathsStatus
Traceback (most recent call last):
  File "/usr/share/vdsm/supervdsmServer.py", line 78, in wrapper
    return func(*args, **kwargs)
  File "/usr/share/vdsm/supervdsmServer.py", line 135, in getPathsStatus
    return _getPathsStatus()
  File "/usr/share/vdsm/storage/devicemapper.py", line 179, in _getPathsStatus
    devName, statusLine = statusLine.split(":", 1)
ValueError: need more than 1 value to unpack
Thread-389::ERROR::2012-11-29 15:08:13,246::task::833::TaskManager.Task::(_setError) Task=`e425feb0-ab83-4265-9a04-199345554f26`::Unexpected error
Traceback (most recent call last):
  File "/usr/share/vdsm/storage/task.py", line 840, in _run
    return fn(*args, **kargs)
  File "/usr/share/vdsm/logUtils.py", line 38, in wrapper
    res = f(*args, **kwargs)
  File "/usr/share/vdsm/storage/hsm.py", line 1755, in getDeviceList
    devices = self._getDeviceList(storageType)
  File "/usr/share/vdsm/storage/hsm.py", line 1787, in _getDeviceList
    for dev in multipath.pathListIter(guids):
  File "/usr/share/vdsm/storage/multipath.py", line 224, in pathListIter
    pathStatuses = devicemapper.getPathsStatus()
  File "/usr/share/vdsm/storage/devicemapper.py", line 189, in getPathsStatus
    return getProxy().getPathsStatus()
  File "/usr/share/vdsm/supervdsm.py", line 76, in __call__
    return callMethod()
  File "/usr/share/vdsm/supervdsm.py", line 67, in <lambda>
    **kwargs)
  File "<string>", line 2, in getPathsStatus
  File "/usr/lib64/python2.6/multiprocessing/managers.py", line 740, in _callmethod
    raise convert_to_error(kind, result)
ValueError: need more than 1 value to unpack


call from restapi:

2012-11-29 15:08:10,852 - MainThread - hosts - DEBUG - GET request content is --  url:/api/hosts/4a088c70-3a24-11e2-b9c8-001a4a2312f0/storage 
2012-11-29 15:08:13,342 - MainThread - hosts - ERROR - Response code is not valid, expected is: [200, 201], actual is: 400 
2012-11-29 15:08:13,343 - MainThread - hosts - DEBUG - Response body for GET request is: 
<fault>
    <reason>Operation Failed</reason>
    <detail>Error block device action</detail>
</fault>
 
2012-11-29 15:08:13,343 - MainThread - hosts - ERROR - XPath 'count(/host_storage/storage/type[text()="iscsi"])' result evaluated using '0. < result' not equal to True.




Version-Release number of selected component (if applicable):
4.10.2-1

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Eyal Edri 2012-11-29 15:38:32 EST
Created attachment 654539 [details]
vdsm.log file with the failure.

vdsm log from host running 6.4.
Comment 5 Yeela Kaplan 2012-12-13 11:42:58 EST
http://gerrit.ovirt.org/#/c/10035/
Comment 8 vvyazmin@redhat.com 2012-12-30 07:39:18 EST
Failed on RHEVM 3.2 - SF02 environment 

RHEVM: rhevm-3.2.0-2.el6ev.noarch
VDSM: vdsm-4.10.2-2.0.el6.x86_64
LIBVIRT: libvirt-0.10.2-13.el6.x86_64
QEMU & KVM: qemu-kvm-rhev-0.12.1.2-2.348.el6.x86_64
SANLOCK: sanlock-2.6-2.el6.x86_64

This happens only when editing SD in FC DC environment only
See BZ890813

2012-12-30 16:44:22,093 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.GetDeviceListVDSCommand] (ajp-/127.0.0.1:8702-6) START, GetDeviceListVDSCommand(HostName = green-vdsa, H
ostId = c610737d-fca9-4595-8da4-83d9be1cd755, storageType=null), log id: 2f54d3ae
2012-12-30 16:44:22,093 ERROR [org.ovirt.engine.core.vdsbroker.vdsbroker.VdsBrokerCommand] (ajp-/127.0.0.1:8702-6) Failed in GetDeviceListVDS method, for vds: green-vdsa; host: 
green-vdsa.qa.lab.tlv.redhat.com
2012-12-30 16:44:22,093 ERROR [org.ovirt.engine.core.vdsbroker.VDSCommandBase] (ajp-/127.0.0.1:8702-6) Command GetDeviceListVDS execution failed. Exception: NullPointerException: 
2012-12-30 16:44:22,093 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.GetDeviceListVDSCommand] (ajp-/127.0.0.1:8702-6) FINISH, GetDeviceListVDSCommand, log id: 2f54d3ae
2012-12-30 16:44:22,093 ERROR [org.ovirt.engine.core.bll.GetLunsByVgIdQuery] (ajp-/127.0.0.1:8702-6) Query GetLunsByVgIdQuery failed. Exception message is VdcBLLException: java.lang.NullPointerException
2012-12-30 16:44:22,096 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.GetDeviceListVDSCommand] (ajp-/127.0.0.1:8702-3) START, GetDeviceListVDSCommand(HostName = green-vdsa, HostId = c610737d-fca9-4595-8da4-83d9be1cd755, storageType=FCP), log id: 15a4be68
2012-12-30 16:44:31,162 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.GetDeviceListVDSCommand] (ajp-/127.0.0.1:8702-3) FINISH, GetDeviceListVDSCommand, return: [org.ovirt.engine.core.common.businessentities.LUNs@a898c839, org.ovirt.engine.core.common.businessentities.LUNs@bffcc96b, org.ovirt.engine.core.common.businessentities.LUNs@f1393bb7, org.ovirt.engine.core.common.businessentities.LUNs@dd7cfd92, org.ovirt.engine.core.common.businessentities.LUNs@42cfe951, org.ovirt.engine.core.common.businessentities.LUNs@53d546c5, org.ovirt.engine.core.common.businessentities.LUNs@ba42df48, org.ovirt.engine.core.common.businessentities.LUNs@ef62213b, org.ovirt.engine.core.common.businessentities.LUNs@1db9ac79, org.ovirt.engine.core.common.businessentities.LUNs@f5d9a649], log id: 15a4be68
Comment 9 Ayal Baron 2012-12-30 15:10:05 EST
Yeela, have you taken a look to see why this failed?
Comment 10 Yeela Kaplan 2013-01-02 09:46:13 EST
I can't see the reason at first look,
but anyway, why reopen this bug when this has nothing to do with the original issue and when clearly it already has a different bug opened(BZ890813) as Vladi said...?
The information here is the same as copied from BZ890813, I think we should move this back to MODIFIED/ON_QA and investigate BZ890813.
Comment 12 vvyazmin@redhat.com 2013-01-06 08:25:05 EST
No issues are found during running “vdsClient -s 0 getDeviceList” command locally on FC & iSCSI Environment.

Verified on RHEVM 3.2 - SF02 environment 

RHEVM: rhevm-3.2.0-2.el6ev.noarch
VDSM: vdsm-4.10.2-2.0.el6.x86_64
LIBVIRT: libvirt-0.10.2-13.el6.x86_64
QEMU & KVM: qemu-kvm-rhev-0.12.1.2-2.348.el6.x86_64
SANLOCK: sanlock-2.6-2.el6.x86_64
Comment 14 Cheryn Tan 2013-04-03 03:01:57 EDT
This bug is currently attached to errata RHBA-2012:14332. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.

* Consequence: What happens when the bug presents.

* Fix: What was done to fix the bug.

* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes

Thanks in advance.
Comment 16 errata-xmlrpc 2013-06-10 16:36:27 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0886.html

Note You need to log in before you can comment on or make changes to this bug.